=== debian/changelog ===
rpi-blockutils (0.2.1) trixie; urgency=medium

  * debian: Update copyright wording
  * debian: Update for Trixie

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Wed, 30 Jul 2025 13:45:05 +0100

rpi-blockutils (0.2.0) bookworm; urgency=medium

  * blockmap_img2simg: Fix valid_block check
  * Add apply_simg tool

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Thu, 27 Feb 2025 17:15:58 +0000

rpi-blockutils (0.1.0) bookworm; urgency=medium

  [ Richard Oliver ]
  * Initial changelog

  [ Serge Schneider ]
  * Add salsa-ci.yml

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Thu, 27 Feb 2025 14:21:52 +0000
